%define oname tinysegmenter

Name:           python-%{oname}
Version:        0.4
Release:        %mkrel 6
Summary:        Python module implementing a Japanese tokenizer
Group:          Development/Python
License:        BSD
URL:            http://tinysegmenter.tuxfamily.org/
Source0:        https://pypi.io/packages/source/t/tinysegmenter/%{oname}-%{version}.tar.gz
BuildArch:      noarch

%description
An extremely compact native Python module (contained into a single file)
providing a Japanese Tokenization feature.

%package -n python3-%{oname}
Summary:        Python module implementing a Japanese tokenizer
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%{oname}
An extremely compact native Python module (contained into a single file)
providing a Japanese Tokenization feature.

%prep
%setup -q -n tinysegmenter-%{version}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{_prefix}/man

%files -n python3-%{oname}
%doc README.rst COPYING AUTHORS
%{python3_sitelib}/*


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.4-6.mga9
+ Revision: 1823225
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 0.4-5.mga9
+ Revision: 1781570
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.4-4.mga9
+ Revision: 1732586
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.4-3.mga8
+ Revision: 1532688
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.4-2.mga8
+ Revision: 1442605
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 0.4-1.mga7
+ Revision: 1354495
- fix build
- New version

* Wed Sep 26 2018 umeabot <umeabot> 0.3-3.mga7
+ Revision: 1305975
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update to version 0.3
- Renamed python-tinysegmenter to python2-tinysegmenter
- Added python3-tinysegmenter

* Fri Feb 05 2016 umeabot <umeabot> 0.1-9.mga6
+ Revision: 939727
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-8.mga5
+ Revision: 743421
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1-7.mga5
+ Revision: 729884
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1-6.mga5
+ Revision: 688382
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.1-4.mga4
+ Revision: 544360
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.1-3.mga4
+ Revision: 499564
- Rebuild to add different pythonegg provides for python 2 and 3
+ philippem <philippem>
- remove PYTHONDONTWRITEBYTECODE

* Sun Jan 13 2013 umeabot <umeabot> 0.1-2.mga3
+ Revision: 379566
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 shlomif <shlomif> 0.1-1.mga3
+ Revision: 297046
- Import from Jehan_ZeMarmot

